#include <stdio.h>

/* programm to see who a pointer work with functions
   Written by Matthias Fechner
*/

void callByValue(int);
void callByReference(int*);

int main(void)
{
   int i;
   
   i=1;
   printf("i=%d\n",i);
   callByValue(i);
   printf("i=%d\n",i);

   callByReference(&i);
   printf("i=%d\n",i);
   
   return 1;
}

void callByValue(int i)
{
   printf("i=%d\n",i);
   i=8;
   printf("i=%d\n",i);
   return;
}

void callByReference(int *i)
{
   printf("i=%d\n",*i);
   *i=13;
   printf("i=%d\n",*i);
   return;
}
